from src.targets.Target import Target

class BankTarget(Target):
    def __init__(self, points):
        super(points)
        self.is_hit = False

    def hit(self):
        self.is_hit = True
        super.hit()
        #notify Bank

    def reset(self):
        self.is_hit = False